Name:           libserializer
Version:        1.1.6
Release:        %mkrel 14
Summary:        JFreeReport General Serialization Framework
License:        LGPLv2+
Group:          Development/Java
URL:            http://reporting.pentaho.org
Source0:        http://downloads.sourceforge.net/jfreereport/%{name}-%{version}.zip
Patch0:         %{name}-1.1.2-fix-build.patch
Patch1:         %{name}-1.1.2.java11.patch
Patch2:		libserializer-1.1.6-remove-antcontrib-support.patch
BuildRequires:  ant
BuildRequires:  java-devel
BuildRequires:  jpackage-utils
BuildRequires:  libbase
Requires:       java
Requires:       jpackage-utils
Requires:       libbase
BuildArch:      noarch

%description
Libserializer contains a general serialization framework that simplifies the
task of writing custom Java serialization handlers.


%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils

%description javadoc
Javadoc for %{name}.


%prep
%setup -q -c
%patch0 -p0 -b .build
%patch1 -p1 -b .java11
%patch2 -p1

find . -name "*.jar" -exec rm -f {} \;
mkdir -p lib
build-jar-repository -s -p lib libbase commons-logging-api

%build
ant jar javadoc

%install
mkdir -p %{buildroot}%{_javadir}
cp -p dist/libserializer-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp bin/javadoc/docs/api %{buildroot}%{_javadocdir}/%{name}

%files
%doc ChangeLog.txt licence-LGPL.txt README.txt
%{_javadir}/%{name}.jar

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Thu Jan 14 2021 neoclust <neoclust> 1.1.6-14.mga8
+ Revision: 1671809
- Remove ant-contrib support

* Tue Sep 08 2020 daviddavid <daviddavid> 1.1.6-13.mga8
+ Revision: 1623440
- allow rebuild with java 11
- Rebuilt for JDK-11

* Tue Feb 11 2020 umeabot <umeabot> 1.1.6-12.mga8
+ Revision: 1490840
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.1.6-11.mga7
+ Revision: 1262450
- Mageia 7 Mass Rebuild

* Tue Feb 02 2016 umeabot <umeabot> 1.1.6-10.mga6
+ Revision: 931369
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.6-9.mga5
+ Revision: 739291
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.6-8.mga5
+ Revision: 681777
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1.6-7.mga4
+ Revision: 531322
- Mageia 4 Mass Rebuild

* Sun Aug 04 2013 joequant <joequant> 1.1.6-6.mga4
+ Revision: 463057
- remove ant-nodeps

* Sat Jan 12 2013 umeabot <umeabot> 1.1.6-5.mga3
+ Revision: 358140
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 14 2012 ennael <ennael> 1.1.6-4.mga3
+ Revision: 305451
- Documentation group

* Sat Jan 21 2012 kamil <kamil> 1.1.6-3.mga2
+ Revision: 198940
- rebuild against new libbase-1.1.6

* Sat Jan 21 2012 kamil <kamil> 1.1.6-2.mga2
+ Revision: 198915
- drop gcj support

* Sat Jan 21 2012 kamil <kamil> 1.1.6-1.mga2
+ Revision: 198909
- new version 1.1.6
- clean .spec
- clean .spec

* Fri Mar 18 2011 dmorgan <dmorgan> 1.1.2-4.mga1
+ Revision: 74301
- Really build without gcj

* Fri Mar 18 2011 dmorgan <dmorgan> 1.1.2-3.mga1
+ Revision: 74284
- Build without gcj

* Mon Jan 24 2011 dmorgan <dmorgan> 1.1.2-2.mga1
+ Revision: 35769
- Adapt to mageia
- imported package libserializer


* Thu Jul 01 2010 Caolán McNamara <caolanm@redhat.com> 1.1.2-2
- fix up source-code download foo

* Fri Nov 20 2009 Caolán McNamara <caolanm@redhat.com> 1.1.2-1
- initial fedora import
